apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: demo
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    server: "https://kubernetes.default.svc"
    namespace: demo
  project: default
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
    - PrunePropagationPolicy=foreground
  source:
    path: ./
    repoURL: https://gitlab.com/cy-tech-fjerklghrzgtiu/ing3/cloud-perspective-1/demo-pingvin.git
    targetRevision: main
    # helm:
    #   values: |
    #     fullname: "pingvin-share"
    #     replicas: 1
